SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::SensorEvent Struct Reference

Sensor event parameters (SensorChanged) More...

`#include <Event.hpp>`

## Public Attributes

Sensor::Type | type
| Type of the sensor. More...
float | x
| Current value of the sensor on X axis. More...
float | y
| Current value of the sensor on Y axis. More...
float | z
| Current value of the sensor on Z axis. More...

## Detailed Description

Sensor event parameters (SensorChanged)

Definition at line 175 of file Event.hpp.

## Member Data Documentation

## ◆ type

Sensor::Type sf::Event::SensorEvent::type

Type of the sensor.

Definition at line 177 of file Event.hpp.

## ◆ x

float sf::Event::SensorEvent::x

Current value of the sensor on X axis.

Definition at line 178 of file Event.hpp.

## ◆ y

float sf::Event::SensorEvent::y

Current value of the sensor on Y axis.

Definition at line 179 of file Event.hpp.

## ◆ z

float sf::Event::SensorEvent::z

Current value of the sensor on Z axis.

Definition at line 180 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp